#!/bin/bash
#

#Ajout des paramètres SFTP au fichier de config ZT

ZTEXECDIR=/home/zonetest/ZT
USBEXECDIR=$VERSIONROOT/EXE



echo " "
echo "----------------------------------------------------"
echo "Ajout des paramètres Historien PI au fichier de config"
echo "----------------------------------------------------"
echo "Voulez-vous vraiment continuer? (o ou n)"
read UserInput

if [ "$UserInput" != "o" ]; then
    echo "Annulation..."
    exit 0
fi


CONFIG_FILE_PATH=$ZTEXECDIR/Configuration/ZT.cfg
echo " "
echo "Ajout des paramètres Historien PI dans le fichier de configuration"
echo "
#----------------------------------
#Paramètres de communication Modbus avec le SEI (Serveur NetTrac).
#Changer cette valeur à OUI, NON ou AUTO pour activer la communication Modbus l'historienPI.
# OUI: Active la communication avec l'historien.
# NON: Désactive la communication avec l'historien.
ACTIVER_HISTORIEN_PI=OUI
#Adresse modbus de la ZT
HISTORIEN_PI_DEVID=1
#Port Modbus/TCP du serveur historien
HISTORIEN_PI_PORT=503
\n" >> $CONFIG_FILE_PATH
echo "Modification du fichier de configuration OK"



